#!/bin/bash
if [ $# -lt 3 ]
then
	echo "Usage: ./convert.sh FOLDER FROM TO
	FOLDER is the folder containing the files to be converted,
	FROM is the original format,
	TO is the desired format"
fi
DIR=$1
FROM=$2
TO=$3
for FILE in `find $DIR -maxdepth 1 -type f -name "*.${FROM}"`
do
	NAME=`echo $FILE | sed -r "s/(.*)\..*?/\1/"`
	if [ ! -f "${NAME}.${TO}" ]
	then
		echo "Convert ${NAME}.${FROM} to ${NAME}.${TO}"
		CODEC=""
		case $TO in
			"ogg" )
				CODEC="-acodec libvorbis"
				;;
			"mp3" )
				CODEC="-acodec libmp3lame"
		esac
		ffmpeg -i "${NAME}.${FROM}" $CODEC -ab 128k "${NAME}.${TO}"
	else
		echo "File ${NAME}.${TO} already exists."
	fi
done
